## net.sourceforge.pmd
Class SourceType

    java.lang.Object
      net.sourceforge.pmd.SourceType

public final class SourceType
extends java.lang.Object

Enumeration of the types of source code.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

Field Summary
`static SourceType` `JAVA_13`
`static SourceType` `JAVA_14`
`static SourceType` `JAVA_15`
`static SourceType` `JSP`

Method Summary
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getId()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA_13

    public static final SourceType JAVA_13

### JAVA_14

    public static final SourceType JAVA_14

### JAVA_15

    public static final SourceType JAVA_15

### JSP

    public static final SourceType JSP

Method Detail

### getId

    public java.lang.String getId()

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.